using System;
using System.Windows.Forms;

namespace Northwind
{
	/// <summary>
	/// Summary description for IPolymorphism.
	/// </summary>
	public interface IPolymorphism
	{
		void SayHello();
	}

	public class YellowPoly : IPolymorphism
	{
		#region IPolymorphism Members

		public void SayHello()
		{
			MessageBox.Show("Yellow: Hello", "Yellow", MessageBoxButtons.OK, MessageBoxIcon.Warning);
		}

		#endregion

	}

	public class RedPoly : IPolymorphism
	{
		#region IPolymorphism Members

		public void SayHello()
		{
			MessageBox.Show("Red: Hello", "Red", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		#endregion

	}


}
