using System;

namespace ObserverPattern
{
	/// <summary>
	/// Summary description for MainSubject.
	/// </summary>
	public class MainSubject : ISubject
	{
		public event EventHandler SelectedChanged;
		private int m_selected;

		public int Selected
		{
			get
			{
				return m_selected;
			}
			set
			{
				m_selected = value;
				if (SelectedChanged != null)
				{
					SelectedChanged(this, EventArgs.Empty);
				}
			}
		}

		public MainSubject()
		{
			//
			// TODO: Add constructor logic here
			//
		}
	}
}
