using System;

namespace Northwind
{
	/// <summary>
	/// Summary description for Company.
	/// </summary>
	public abstract class Company
	{
		public int ID;
		public string Name;
		public string ContactName;
		public string Address;
		public string City;
		public Region Region;
		public string PostalCode;
		public string Country;
		public string Fax;
		
		public Company(
			int ID, string Name, string ContactName, 
			string Address, string City, Region Region, 
			string PostalCode, string Country, string Fax)
		{
			this.ID = ID;
			this.Name = Name;
			this.ContactName = ContactName;
			this.Address = Address;
			this.City = City;
			this.Region = Region;
			this.PostalCode = PostalCode;
			this.Country = Country;
			this.Fax = Fax;
		}
	}
}
