using System;
using System.Windows.Forms;

namespace Northwind
{
	/// <summary>
	/// Summary description for MainClass.
	/// </summary>
	public class MainClass
	{
		[STAThread]
		static void Main() 
		{
			IPolymorphism yellow = new YellowPoly();
			yellow.SayHello();

			IPolymorphism red = new RedPoly();
			red.SayHello();

			Company customer = new Customer(
				1, 
				"Yanliang", 
				"Gua", 
				"Chao Yang", 
				"Beijing", 
				new Region(1, "Feng Tai"),
				"100007",
				"China",
				"9999-9999");

			Company supplier= new Supplier(
				1, 
				"Yanliang", 
				"Gua", 
				"Chao Yang", 
				"Beijing", 
				new Region(1, "Feng Tai"),
				"100007",
				"China",
				"9999-9999", 
				"http://www.yanliang.com");

			Application.Run(new frmMain());
		}
	}
}
