using System;
using System.Windows.Forms;

namespace Northwind
{
	/// <summary>
	/// Summary description for NumericTextBox.
	/// </summary>
	public class NumericTextBox  : TextBox
	{
		public NumericTextBox()
		{
			
		}
		
		protected override void OnKeyPress(KeyPressEventArgs e)
		{
			if (!char.IsDigit(e.KeyChar))
			{
				e.Handled = true;
			}
		}

	}
}
